> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mylifeforce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Patient Initial Questionnaire

> The API always returns true as background jobs process the questionnaire. 



## OpenAPI

````yaml POST /patient/questionnaire/initial
openapi: 3.0.1
info:
  title: Lifeforce Care Team API
  description: An API used by the Lifeforce care team portal to query patient data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://om-staging.mylifeforce.com/api/m2m
security:
  - bearerAuth: []
paths:
  /patient/questionnaire/initial:
    post:
      summary: Submit a initial questionnaire
      description: >-
        Questionnaire includes patient's own assessment of their health and
        their goals
      parameters:
        - $ref: '#/components/parameters/PatientIdParam'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              $ref: '#/components/examples/QuestionnaireInitial/value'
      responses:
        '200':
          description: Successful ingestion of initial questionnaire
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the operation was successful
                required:
                  - success
        '404':
          description: Patient not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Patient not found
                  error:
                    type: number
                    example: 1
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Internal Server Error: {error message}'
components:
  parameters:
    PatientIdParam:
      name: patientId
      in: path
      description: The id of the patient in question
      required: true
      schema:
        $ref: '#/components/schemas/UUID'
  schemas:
    UUID:
      type: string
      format: uuid
      example: 29ea9012-c622-4851-a57a-9327abd21198
      description: A universally unique identifier.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````